UbixOS V2 2.0

Data Structures | Macros | Typedefs | Functions
uuid.h File Reference
`#include <sys/cdefs.h>`
`#include <sys/types.h>`
Include dependency graph for uuid.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | uuid

## Macros
#define | _UUID_NODE_LEN 6

## Typedefs
typedef struct uuid | uuid_t

## Functions
int | uuidgen (struct uuid *, int)

## Macro Definition Documentation

## ◆ _UUID_NODE_LEN

#define _UUID_NODE_LEN 6

Definition at line 36 of file uuid.h.

## Typedef Documentation

## ◆ uuid_t

typedef struct uuid uuid_t

Definition at line 78 of file uuid.h.

## Function Documentation

## ◆ uuidgen()

int uuidgen | ( | struct uuid * | ,
|  | int |
| ) |  |